Subject: eugene.area.morels

From: [email-masked] (Matthew T. Brehm)
Date: Thu, 13 Apr 1995 17:36:24 GMT

I've been hunting mushrooms for a few seasons and have yet to find any morels. 
 This year it's becoming an obsession, as I venture out a couple times a week 
for that single genus (though along the way I've collected a few meals-worth 
of Dentinum Repandum!).  I'm posting because I'd like some better clues - more 
on WHEN to find them than on WHERE.  Are they simply not fruiting yet around 
Eugene?  Thanks for any info and happy hunting!